Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi
Interface RemoteTempResultOwnerManager

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteTempResultOwnerManager

extends java.rmi.Remote

Interface `RemoteTempResultOwnerManager` manages the owners of temporary results.

Method Summary
`boolean` | `isOwner(java.lang.String owner, java.lang.String tempResult)` Tests if an owner is the owner of the temporary result.
`void` | `registerOwner(java.lang.String owner, java.lang.String tempResult)` Registers the owner of a temporary result.
`void` | `removeOwner(java.lang.String owner, java.lang.String tempResult)` Removes the owner of the temporary result.
`void` | `removeOwnersIfTimeout()` Removes the temporary result owners if the timeout is reached.
`void` | `setTimeout(long timeouts)` Sets the timeouts of temporary result owner records in milliseconds.

Method Detail

### setTimeout

    void setTimeout(long timeouts)
                    throws java.rmi.RemoteException

  Sets the timeouts of temporary result owner records in milliseconds. The temporary result owner records will be removed when the timeout is reached.

  Parameters:
    `timeout` - the timeouts of temporary result owner records in milliseconds.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### registerOwner

    void registerOwner(java.lang.String owner,
                       java.lang.String tempResult)
                       throws java.rmi.RemoteException

  Registers the owner of a temporary result.

  Parameters:
    `owner` - the owner of the temporary result.
    `tempResult` - the temporary result.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### isOwner

    boolean isOwner(java.lang.String owner,
                    java.lang.String tempResult)
                    throws java.rmi.RemoteException

  Tests if an owner is the owner of the temporary result.

  Parameters:
    `owner` - the owner.
    `tempResult` - the temporary result.
  Returns:
    if the owner is the owner of the temporary result.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### removeOwner

    void removeOwner(java.lang.String owner,
                     java.lang.String tempResult)
                     throws java.rmi.RemoteException

  Removes the owner of the temporary result.

  Parameters:
    `owner` - the owner of the temporary result.
    `tempResult` - the temporary result.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### removeOwnersIfTimeout

    void removeOwnersIfTimeout()
                               throws java.rmi.RemoteException

  Removes the temporary result owners if the timeout is reached.

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD